<?php

namespace Cursed\Input;

class Key extends InputEvent
{
    const string K_F1       = "[f1]";
    const string K_F2       = "[f2]";
    const string K_F3       = "[f3]";
    const string K_F4       = "[f4]";
    const string K_F5       = "[f5]";
    const string K_F6       = "[f6]";
    const string K_F7       = "[f7]";
    const string K_F8       = "[f8]";
    const string K_F9       = "[f9]";
    const string K_F10      = "[f10]";
    const string K_ESC      = "[esc]";
    const string K_UP       = "[up]";
    const string K_DOWN     = "[down]";
    const string K_LEFT     = "[left]";
    const string K_RIGHT    = "[right]";
    const string K_INS      = "[ins]";
    const string K_DEL      = "[del]";
    const string K_BS       = "[bs]";
    const string K_HOME     = "[home]";
    const string K_END      = "[end]";
    const string K_PGUP     = "[pgup]";
    const string K_PGDN     = "[pgdn]";
    const string C_A        = "[c-A]";
    const string C_B        = "[c-B]";
    const string C_C        = "[c-C]";
    const string C_D        = "[c-D]";
    const string C_E        = "[c-E]";
    const string C_F        = "[c-F]";
    const string C_G        = "[c-G]";
    const string C_H        = "[c-H]";
    const string C_I        = "[c-I]";
    const string C_J        = "[c-J]";
    const string C_K        = "[c-K]";
    const string C_L        = "[c-L]";
    const string C_M        = "[c-M]";
    const string C_N        = "[c-N]";
    const string C_O        = "[c-O]";
    const string C_P        = "[c-P]";
    const string C_Q        = "[c-Q]";
    const string C_R        = "[c-R]";
    const string C_S        = "[c-S]";
    const string C_T        = "[c-T]";
    const string C_U        = "[c-U]";
    const string C_V        = "[c-V]";
    const string C_W        = "[c-W]";
    const string C_X        = "[c-X]";
    const string C_Y        = "[c-Y]";
    const string C_Z        = "[c-Z]";

    public function __construct(
        public readonly string $key,
        public readonly bool $isLiteral,
    ) { }
}

